<?php

namespace App\Controller;

use App\Gateway\AuthGateway;
use App\Model\AuthModel;
use Twig\Environment;

class AuthController
{
    private AuthModel $model;
    private Environment $twig;

    /**
     * @param AuthModel $model
     * @param Environment $twig
     */
    public function __construct(AuthModel $model, Environment $twig)
    {
        $this->model = $model;
        $this->twig = $twig;
    }

    public function displayRegister(){
        echo $this->twig->render("display_register.html.twig",[]);
    }


}